alifahfatimah/urls.py
from django.urls import path, include
from .views import index
from alifahfatimah import views

urlpatterns = [
    path('', index, name='index'),
    path('interests/', views.interests, name='interests'),
    path('gallery/', views.gallery, name='gallery'),
    path('schedule/', views.schedule, name='schedule'),
    path('daftar/', views.daftar, name='daftar'),
    path('add/', views.add, name='add'),
    path('result/<int:id>',views.remove, name = 'remove'),
]

story4ppw/urls.py
from django.contrib import admin
from django.urls import path, include


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('alifahfatimah.urls')),
    path('story6/', include('story6.urls'), name="story6"),
    path('story7/', include('story7.urls'), name="story7"),
    path('story8/', include('story8.urls'), name="story8"),
    path('story9/', include('story9.urls'), name="story9"),



]

story6/urls.py
from django.urls import path, include

from story6 import views

app_name = 'story6'
urlpatterns = [
    path('activities', views.activities, name='activities'),
    path('addnew', views.addnew, name='addnew'),
    path('listActivity', views.listActivity, name='listActivity'),
    path('register/<int:keg_id>/', views.register, name='register'),
    path('delete/<int:delete_id>/', views.deleteUser, name='delete'),
]

story7/urls.py
from django.urls import path, include

from story7 import views

app_name = 'story7'
urlpatterns = [
    path('listAccordian', views.listAccordian, name='listAccordian')
]

story8/urls.py
from django.urls import path
from story8 import views
from .views import bookSearchView

app_name = 'story8'

urlpatterns = [
    path('', views.bookSearchView, name='bookSearch'),
    path('ajax/', views.cobaAjax, name='ajax')
]

alifahfatimah/models.py
from django.db import models


# Create your models here.
YEAR = [ ('Gasal 2019/2020', 'Gasal 2019/2020'),
         ('Genap 2019/2020', 'Genap 2019/2020'),
         ('Gasal 2020/2021', 'Gasal 2020/2021'),
         ('Genap 2020/2021', 'Genap 2020/2021'),
         ('Gasal 2021/2022', 'Gasal 2021/2022'),
         ('Genap 2021/2022', 'Genap 2021/2022'),
]

class MataKuliah(models.Model):
    course = models.CharField(max_length = 50)
    sks = models.IntegerField()
    room = models.CharField(max_length = 50)
    dosen = models.CharField(max_length = 50)
    semester = models.CharField(max_length = 50, choices=YEAR, default='0000000')
    description = models.CharField(max_length = 75, null = True)

    def __str__(self):
        return self.course

alifahfatimah/forms.py
from django import forms
YEAR = [ ('Gasal 2019/2020', 'Gasal 2019/2020'),
         ('Genap 2019/2020', 'Genap 2019/2020'),
         ('Gasal 2020/2021', 'Gasal 2020/2021'),
         ('Genap 2020/2021', 'Genap 2020/2021'),
         ('Gasal 2021/2022', 'Gasal 2021/2022'),
         ('Genap 2021/2022', 'Genap 2021/2022'),
         ]
class FormMatkul(forms.Form):
    course = forms.CharField(
        label = "Course:", 
        max_length = 50,
        widget = forms.TextInput(
            attrs={
                'class':'form-control',
                'placeholder':'SDA, PPW, etc.',
                'required':True
            }
        )
    )

    sks = forms.IntegerField(
        label = "Credits",
        widget = forms.NumberInput(
            attrs={
                'placeholder':'Credits',
                'class':'form-control',
                'min':'1',
                'max':'6',
                'required': True
            }
        )
    )

    room = forms.CharField(
        label = "Room", 
        max_length = 50,
        widget = forms.TextInput(
            attrs={
                'placeholder':'Ex: 3.3114',
                'class':'form-control',
                'required':True
            }
        )
    )

    dosen = forms.CharField(
        label = "Lecturer", 
        max_length = 50,
        widget = forms.TextInput(
            attrs={
                'placeholder':'Lecturer',
                'class':'form-control',
                'required':True
            }
        )
    )
    semester = forms.CharField(
        label = "Semester",
        widget = forms.Select(choices=YEAR)
    )

    description = forms.CharField(
        label = "Course Description", 
        max_length = 75,
        widget = forms.Textarea(
            attrs={
                'class':'form-control',
                'placeholder':'Describe your course here...',
                'required':True
            }
        )
    )

alifahfatimah/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse 
from alifahfatimah import forms
from .models import MataKuliah
# Create your views here.

def index(request):
    return render(request, 'index.html')

def interests(request):
    return render(request, 'single.html')

def gallery(request):
    return render(request, 'gallery.html')

def schedule(request):
    return render(request, 'schedule.html')

def add(request):
    form_course = forms.FormMatkul(request.POST or None)
    if request.method == 'POST':
        if form_course.is_valid():
            data = form_course.cleaned_data
            matkul_input = MataKuliah()
            matkul_input.course = data['course']
            matkul_input.sks = data['sks']
            matkul_input.room = data['room']
            matkul_input.dosen = data['dosen']
            matkul_input.semester = data['semester']
            matkul_input.description = data['description']
            matkul_input.save()
            return redirect("daftar")
        else:
            current_data = MataKuliah.objects.all().values()
            return render(request, 'add.html',{'form':form_course, 'status':'failed','data':current_data})
    else:
        current_data = MataKuliah.objects.all()
        return render(request, 'add.html',{'form':form_course,'data':current_data})

def daftar(request):
    data = MataKuliah.objects.all().values()
    return render(request,'daftar.html',{'listMatkul':data})

def remove(request, id):
    MataKuliah.objects.filter(id=id).delete()
    return redirect('daftar')

alifahfatimah/templates/add.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
	  <div class="hero-wrap js-fullheight">
      <div class="overlay"></div>
      <div class="container">
        <div class="row no-gutters slider-text js-fullheight justify-content-center align-items-center">
          <div class="col-lg-10 ftco-animate d-flex align-items-center">
          	<div class="text text-center">
          		<h1 class="mb-3 bread">Add New Schedule!</h1>
	            <p class="breadcrumbs"><span class="mr-2"><a href="{% url 'index' %}">Home <i class="ion-ios-arrow-forward"></i></a></span> <span><a href="{% url 'daftar' %}">See List</a>  </span></p>
            </div>
          </div>
        </div>
      </div>
    </div>
		
    <section class="ftco-section" id="blog-section">
        <div class="container">
          <div class="row justify-content-center mb-5 pb-5">
            <div class="col-md-7 heading-section text-center ftco-animate">
              <h1 class="big big-2">Add</h1>
              <h2 class="mb-4">Add Schedule!</h2>
              <p> "Time is the most valuable thing a man can spend." – Theophrastus. </p>
            </div>
          </div>
    <form method="POST" class="bg-light p-4 p-md-5 contact-form">
      {% csrf_token %}
      <div class="form-group">
        {{form.course.label_tag}}
        {{form.course}}
      </div>
      <div class="form-group">
        {{form.dosen.label_tag}}
        {{form.dosen}}
        </div>
      <div class="form-group">
        {{form.sks.label_tag}}
        {{form.sks}}
      </div>
      <div class="form-group">
        {{form.room.label_tag}}
        {{form.room}}
      </div>
      <div class="form-group">
        {{form.semester.label_tag}}
        {{form.semester}}
      </div>
      <div class="form-group">
        {{form.description.label_tag}}
        {{form.description}}
      </div>
      <div class="form-group">
          <a> 
        <input type="submit" class="btn btn-primary py-3 px-5">
      </a>
      </div>
      </form>
    </div>
  </div>
</div>
</section>


    {% endblock %}

alifahfatimah/templates/base.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
  <head>
    <title>Alifah Fatimah Azzahra Hardian</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'css/accordian.css' %}">
    <link rel="stylesheet" href="{% static 'css/story8.css' %}">

    <link rel="stylesheet" href="{% static 'css/open-iconic-bootstrap.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/animate.css' %}">
    
    <link rel="stylesheet" href="{% static 'css/owl.carousel.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/owl.theme.default.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/magnific-popup.css' %}">
	<link rel="stylesheet" href="{% static 'css/aos.css' %}">

    <link rel="stylesheet" href="{% static 'css/ionicons.min.css' %}">
    
    <link rel="stylesheet" href="{% static 'css/flaticon.css' %}">
    <link rel="stylesheet" href="{% static 'css/icomoon.css' %}">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
  </head>
  <body data-spy="scroll" data-target=".site-navbar-target" data-offset="300">
	  
	  
    <nav class="navbar navbar-expand-lg navbar-dark ftco_navbar ftco-navbar-light site-navbar-target" id="ftco-navbar">
	    <div class="container">
			<a class="navbar-brand" href="{% url 'index' %}"><span>Z</span>ahra</a>
	      <button class="navbar-toggler js-fh5co-nav-toggle fh5co-nav-toggle" type="button" data-toggle="collapse" data-target="#ftco-nav" aria-controls="ftco-nav" aria-expanded="false" aria-label="Toggle navigation">
	        <span class="oi oi-menu"></span> Menu
	      </button>

	      <div class="collapse navbar-collapse" id="ftco-nav">
	        <ul class="navbar-nav nav ml-auto">
                <li class="nav-item"><a href="{% url 'index' %}" class="nav-link"><span>Home</span></a></li>
              <li class="nav-item"><a href="{% url 'index' %}#resume-section" class="nav-link"><span>Resume</span></a></li>
              <li class="nav-item"><a href="{% url 'gallery' %}" class="nav-link"><span>Gallery</span></a></li>
              <li class="nav-item"><a href="{% url 'interests' %}" class="nav-link"><span>My Interests</span></a></li>
              <li class="nav-item"><a href="{% url 'schedule' %}" class="nav-link"><span>Schedule</span></a></li>
              <li class="nav-item"><a href="{% url 'story6:activities' %}" class="nav-link"><span>Activities</span></a></li>    
              <li class="nav-item"><a href="{% url 'story7:listAccordian' %}" class="nav-link"><span>More Info!</span></a></li>
              <li class="nav-item"><a href="{% url 'story8:bookSearch' %}" class="nav-link"><span>BookSearch!</span></a></li>    
	        </ul>
	      </div>
	    </div>
	  </nav>

{% block content %}

{% endblock %}
<footer class="ftco-footer ftco-section">
    <div class="container">
      <div class="row mb-5">
        <div class="col-md">
          <div class="ftco-footer-widget mb-4">
            <ul class="ftco-footer-social list-unstyled float-md-left float-lft mt-5">
              <li class="ftco-animate"><a href="https://twitter.com/zahrahardian"><span class="icon-twitter"></span></a></li>
              <li class="ftco-animate"><a href="https://www.facebook.com/salwa.pico"><span class="icon-facebook"></span></a></li>
              <li class="ftco-animate"><a href="https://www.instagram.com/zahrahardian/?hl=en"><span class="icon-instagram"></span></a></li>
            </ul>
          </div>
        </div>
        <div class="col-md">
          <div class="ftco-footer-widget mb-4 ml-md-4">
              <h2 class="ftco-heading-2">Links</h2>
              <ul class="list-unstyled">
                <li><a href="{% url 'index' %}"><span class="icon-long-arrow-right mr-2"></span>Home</a></li>
                <li><a href="{% url 'index' %}#about-section"><span class="icon-long-arrow-right mr-2"></span>About</a></li>
                <li><a href="{% url 'index' %}#resume-section"><span class="icon-long-arrow-right mr-2"></span>Resume</a></li>
                <li><a href="{% url 'gallery' %}"><span class="icon-long-arrow-right mr-2"></span>Gallery</a></li>
                <li><a href="{% url 'index' %}#contact-section"><span class="icon-long-arrow-right mr-2"></span>Contact</a></li>
              </ul>
            </div>
        </div>
        <div class="col-md">
      <div class="row">
        <div class="col-md-12 text-center">

          <p><!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
Copyright &copy;<script>document.write(new Date().getFullYear());</script> All rights reserved | This template is made with <i class="icon-heart color-danger" aria-hidden="true"></i> by <a href="https://colorlib.com" target="_blank">Colorlib</a>
<!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. --></p>
        </div>
      </div>
    </div>
  </footer>
  


<!-- loader -->
<div id="ftco-loader" class="show fullscreen"><svg class="circular" width="48px" height="48px"><circle class="path-bg" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke="#eeeeee"/><circle class="path" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke-miterlimit="10" stroke="#F96D00"/></svg></div>

<script src="{% static 'js/jquery.min.js' %}"></script>
<script src="{% static 'js/jquery-migrate-3.0.1.min.js' %}"></script>
<script src="{% static 'js/popper.min.js' %}"></script>
<script src="{% static 'js/bootstrap.min.js' %}"></script>
<script src="{% static 'js/jquery.easing.1.3.js' %}"></script>
<script src="{% static 'js/jquery.waypoints.min.js' %}"></script>
<script src="{% static 'js/jquery.stellar.min.js' %}"></script>
<script src="{% static 'js/owl.carousel.min.js' %}"></script>
<script src="{% static 'js/jquery.magnific-popup.min.js' %}"></script>
<script src="{% static 'js/aos.js' %}"></script>
<script src="{% static 'js/jquery.animateNumber.min.js' %}"></script>
<script src="{% static 'js/scrollax.min.js' %}"></script>
<script src="{% static 'js/main.js' %}"></script>
  
</body>
</html>

alifahfatimah/templates/daftar.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
	  <div class="hero-wrap js-fullheight">
      <div class="overlay"></div>
      <div class="container">
        <div class="row no-gutters slider-text js-fullheight justify-content-center align-items-center">
          <div class="col-lg-10 ftco-animate d-flex align-items-center">
          	<div class="text text-center">
          		<h1 class="mb-3 bread">Schedule List</h1>
	            <p class="breadcrumbs"><span class="mr-2"><a href="{% url 'index' %}">Home <i class="ion-ios-arrow-forward"></i></a></span> <span><a href="{% url 'add' %}">Add Schedule</a> </span></p>
            </div>
          </div>
        </div>
      </div>
    </div>

    <section class="ftco-section" id="blog-section">
        <div class="container">
          <div class="row justify-content-center mb-5 pb-5">
            <div class="col-md-7 heading-section text-center ftco-animate">
              <h1 class="big big-2">List</h1>
              <h2 class="mb-4">Your List!</h2>
              <p> "The key is in not spending time, but in investing it." – Stephen R. Covey.</p>
            </div>
          </div>
          <table class="table" style="table-layout:fixed;">
            <thead class="thead-dark">
              <tr>
                <th scope="col" style="text-align: center;">Course</th>
                <th scope="col" style="text-align: center;">Description</th>
                <th scope="col" style="text-align: center;">Credits</th>
                <th scope="col" style="text-align: center;">Lecturer</th>
                <th scope="col" style="text-align: center;">Semester</th>
                <th scope="col" style="text-align: center;">Room</th>
                <th scope="col" style="text-align: center;">Still need?</th>
              </tr>
            </thead>
            <tbody>
              {% for matkul in listMatkul %}
              <tr>
                <td style="word-wrap:break-word; text-align: center;"> {{matkul.course}}</td>
                <td style="word-wrap:break-word; text-align: center;">{{matkul.description}}</td>
                <td style="text-align: center;">{{matkul.sks}}</td>
                <td style="word-wrap:break-word; text-align: center;"> {{matkul.dosen}}</td>
                <td style="word-wrap:break-word; text-align: center;"> {{matkul.semester}}</td>
                <td style="text-align: center;">{{matkul.room}}</td>
                <td>
                    <div class="form-group">
                    <a style="align-content: center;" href="{% url 'remove' id=matkul.id %}#blog-section"> 
                  <button type="submit" class="btn btn-primary py-3 px-5" >Delete!</button>
                </a>
                </div>
                </td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
          </div>
        </div>
      </section>


    {% endblock %}

alifahfatimah/templates/gallery.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
	  <div class="hero-wrap js-fullheight">
      <div class="overlay"></div>
      <div class="container">
        <div class="row no-gutters slider-text js-fullheight justify-content-center align-items-center">
          <div class="col-lg-10 ftco-animate d-flex align-items-center">
          	<div class="text text-center">
          		<h1 class="mb-3 bread">My Gallery</h1>
	            <p class="breadcrumbs"><span class="mr-2"><a href="{% url 'index' %}">Home <i class="ion-ios-arrow-forward"></i></a></span> <span>My Gallery </span></p>
            </div>
          </div>
        </div>
      </div>
    </div>
		
    <section class="ftco-section ftco-project" id="projects-section">
    	<div class="container-fluid px-md-0">
    		<div class="row no-gutters justify-content-center pb-5">
          <div class="col-md-12 heading-section text-center ftco-animate">
          	<h1 class="big big-2">My Gallery</h1>
            <h2 class="mb-4">My Gallery</h2>
          </div>
        </div>
    		<div class="row no-gutters">
    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/senbud.JPG);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">Arts &amp; Culture Department BEM Fasilkom </a></h3>
	    					<span>Welcoming Staff</span>
	    				</div>
    				</div>
  				</div>
  				<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/Wisgen.JPG);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">Liason Officer</a></h3>
	    					<span>Odd Semester Graduation</span>
	    				</div>
    				</div>
  				</div>

    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/pnmun.jpg);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">Historical Crisis Delegates</a></h3>
	    					<span>Parahyangan MUN</span>
	    				</div>
    				</div>
    			</div>
    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/cina.jpg);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">Beijing, China</a></h3>
	    					<span>18th International Robot Olympiad</span>
	    				</div>
    				</div>
    			</div>
    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/pacil.jpg);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">My Support System</a></h3>
	    					<span>Faculty of Computer Science</span>
	    				</div>
    				</div>
    			</div>
    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/minbak.JPG);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">Interest and Talent Department</a></h3>
	    					<span>Rapat Kerja</span>
	    				</div>
    				</div>
                </div>
                <div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/azka.JPG);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">My Family</a></h3>
	    					<span>My Little Brother</span>
	    				</div>
    				</div>
    			</div>
    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/binari.JPG);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">Binari</a></h3>
	    					<span>Dies Natalis Fasilkom</span>
	    				</div>
    				</div>
    			</div>
    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/bts.JPG);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">My High School Friends</a></h3>
	    					<span>Yearbook Photoshoot</span>
	    				</div>
    				</div>
                </div>
                <div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/cousins.JPG);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">My Cousins</a></h3>
	    					<span>Idul Fitri 1441H</span>
	    				</div>
    				</div>
    			</div>
    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/family.png);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">My Family</a></h3>
	    				</div>
    				</div>
    			</div>
    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/jgtc.png);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">My College Friends</a></h3>
	    					<span>Jazz Goes to Campus</span>
	    				</div>
    				</div>
                </div>
                <div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/sbf.jpg);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">Sekolah BEM Fasilkom Tarzan</a></h3>
	    					<span>Gelar Karya</span>
	    				</div>
    				</div>
    			</div>
    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/support\ system.JPG);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">My Middle School Friends</a></h3>
	    				</div>
    				</div>
    			</div>
    			<div class="col-md-4">
    				<div class="project img ftco-animate d-flex justify-content-center align-items-center" style="background-image: url(/static/images/temensma.png);">
    					<div class="overlay"></div>
	    				<div class="text text-center p-4">
	    					<h3><a href="#">My Support System (2)</a></h3>
	    				</div>
    				</div>
                </div>
    		</div>
    	</div>
	</section>


	{% endblock %}

alifahfatimah/templates/schedule.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
	  <div class="hero-wrap js-fullheight">
      <div class="overlay"></div>
      <div class="container">
        <div class="row no-gutters slider-text js-fullheight justify-content-center align-items-center">
          <div class="col-lg-10 ftco-animate d-flex align-items-center">
          	<div class="text text-center">
          		<h1 class="mb-3 bread">Add Schedule</h1>
	            <p class="breadcrumbs"><span class="mr-2"><a href="{% url 'add' %}">Add Schedule<i class="ion-ios-arrow-forward"></i></a></span> <span><a href="{% url 'daftar' %}">See List</a></span></p>
            </div>
          </div>
        </div>
      </div>
    </div>
		
		

    {% endblock %}